<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>TourGuideController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">TourGuide</a> &gt; <a href="index.source.html" class="el_package">tourGuide</a> &gt; <span class="el_source">TourGuideController.java</span></div><h1>TourGuideController.java</h1><pre class="source lang-java linenums">package tourGuide;

import java.util.List;
import java.util.Map;

import com.jsoniter.annotation.JsonObject;
import gpsUtil.location.Location;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.jsoniter.output.JsonStream;

import gpsUtil.location.VisitedLocation;
import tourGuide.service.TourGuideService;
import tourGuide.user.User;
import tourGuide.user.UserPreferences;
import tripPricer.Provider;

@RestController
<span class="nc" id="L22">public class TourGuideController {</span>

	@Autowired
	TourGuideService tourGuideService;
	
    @RequestMapping(&quot;/&quot;)
    public String index() {
<span class="nc" id="L29">        return &quot;Greetings from TourGuide!&quot;;</span>
    }
    
    @RequestMapping(&quot;/getLocation&quot;) 
    public String getLocation(@RequestParam String userName) {
<span class="nc" id="L34">    	VisitedLocation visitedLocation = tourGuideService.getUserLocation(getUser(userName));</span>
<span class="nc" id="L35">		return JsonStream.serialize(visitedLocation.location);</span>
    }

    @RequestMapping(&quot;/getNearbyAttractions&quot;) 
    public List&lt;Map&lt;String, Object&gt;&gt; getNearbyAttractions(@RequestParam String userName) {
<span class="nc" id="L40">    	VisitedLocation visitedLocation = tourGuideService.getUserLocation(getUser(userName));</span>
<span class="nc" id="L41">    	return tourGuideService.getNearByAttractions(visitedLocation, getUser(userName));</span>
    }
    
    @RequestMapping(&quot;/getRewards&quot;) 
    public String getRewards(@RequestParam String userName) {
<span class="nc" id="L46">    	return JsonStream.serialize(tourGuideService.getUserRewards(getUser(userName)));</span>
    }
    
    @RequestMapping(&quot;/getAllCurrentLocations&quot;)
    public Map&lt;String, Location&gt; getAllCurrentLocations() {
<span class="nc" id="L51">    	return tourGuideService.getAllUsersLocations();</span>
    }
    
    @RequestMapping(&quot;/getTripDeals&quot;)
    public String getTripDeals(@RequestParam String userName,
                               @RequestParam(required = false) Integer tripDuration,
                               @RequestParam(required = false)  Integer numberOfAdults,
                               @RequestParam(required = false)  Integer numberOfChildren) {
<span class="nc" id="L59">        UserPreferences userPreferences = new UserPreferences();</span>
<span class="nc" id="L60">        userPreferences.setNumberOfAdults(numberOfAdults);</span>
<span class="nc" id="L61">        userPreferences.setTripDuration(tripDuration);</span>
<span class="nc" id="L62">        userPreferences.setNumberOfChildren(numberOfChildren);</span>

<span class="nc" id="L64">        User user = getUser(userName);</span>
<span class="nc" id="L65">        user.setUserPreferences(userPreferences);</span>

<span class="nc" id="L67">    	List&lt;Provider&gt; providers = tourGuideService.getTripDeals(user);</span>
<span class="nc" id="L68">    	return JsonStream.serialize(providers);</span>
    }
    
    private User getUser(String userName) {
<span class="nc" id="L72">    	return tourGuideService.getUser(userName);</span>
    }
   

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.4.201905082037</span></div></body></html>